package pps.core.base.excel;

import cn.hutool.core.collection.CollUtil;
import cn.hutool.core.text.CharSequenceUtil;
import pps.cloud.system.service.SystemDictionaryService;
import pps.cloud.system.service.data.sys_dictionary.GetSysDictionaryViewInput;
import pps.cloud.system.service.data.sys_dictionary.GetSysDictionaryViewOutput;
import pps.core.common.constant.BusinessConstant;
import pps.core.common.excel.ExcelDynamicSelect;
import xstartup.base.XSelfServiceContext;
import xstartup.data.XListResult;

import java.util.List;
import java.util.stream.Collectors;

/**
 * 运行类型下拉
 *
 * @author ZWT
 * @date 2024/05/09 10:28
 */
public class RunTypeImpl implements ExcelDynamicSelect {

    @Override
    public String[] getSource() {
        XSelfServiceContext build = XSelfServiceContext.build(SystemDictionaryService.class);
        SystemDictionaryService bean = build.getBean(SystemDictionaryService.class);
        XListResult<GetSysDictionaryViewOutput> result = bean.querySysDictionaryByParam(build, GetSysDictionaryViewInput.builder()
                .alias(BusinessConstant.RUN_TYPE)
                .build());
        result.throwIfFail();
        List<GetSysDictionaryViewOutput> list = result.getResult();
        if (CollUtil.isNotEmpty(list)) {
            return CharSequenceUtil.splitToArray(list.stream()
                    .map(GetSysDictionaryViewOutput::getDicName)
                    .collect(Collectors.joining(",")), ",");
        }
        return new String[0];
    }
}