package pps.core.base.service.data.base_excel;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;
import pps.core.base.excel.OilExtractionPlantImpl;
import pps.core.common.excel.ExcelSelected;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * excel储能设备模板
 *
 * @author ZWT
 * @date 2024/05/09
 */
@Data
public class ExcelEnergyStorageDeviceTemplate implements Serializable {

    private static final long serialVersionUID = -6239358694782042550L;

    /**
     * 采油厂名称
     */
    @ExcelSelected(sourceClass = OilExtractionPlantImpl.class)
    @ExcelProperty(index = 0, value = "采油厂名称")
    private String ouName;

    /**
     * 设备名称
     */
    @ExcelProperty(index = 1, value = "设备名称")
    private String deviceName;

    /**
     * 出厂编号
     */
    @ExcelProperty(index = 2, value = "出厂编号")
    private String makerNumber;

    /**
     * 规格型号
     */
    @ExcelProperty(index = 3, value = "规格型号")
    private String storageModelName;

    /**
     * 设备容量(KWh)
     */
    @ExcelProperty(index = 4, value = "设备容量(KWh)")
    private BigDecimal apparatusCapacity;

    /**
     * 额定放电功率(KW)
     */
    @ExcelProperty(index = 5, value = "额定放电功率(KW)")
    private BigDecimal ratedDischargePower;

    /**
     * 额定充电功率(KW)
     */
    @ExcelProperty(index = 6, value = "额定充电功率(KW)")
    private BigDecimal ratedChargingPower;

    /**
     * 额定放电深度(%)
     */
    @ExcelProperty(index = 7, value = "额定放电深度(%)")
    private BigDecimal ratedDischargeDepth;

    /**
     * 额定放电效率(%)
     */
    @ExcelProperty(index = 8, value = "额定放电效率(%)")
    private BigDecimal ratedDischargeEfficiency;
}